# Add reaction to message

`POST /reaction.add`

## Description

Add a reaction to a message in a chat.

To react to a thread reply, provide the `threadTimestamp` of the parent message
and the `timestamp` of the specific reply.

**Access:** The organization bot or personal-token **owner** must be a
member of the chat (`403` `not_in_chat` otherwise).

**Required scope:** `chat:send_message` or `chat:write`

---

**OpenAPI Spec:** [chat-v1.json](https://developer.ro.am/chat-v1.json)

## Authentication

```
Authorization: Bearer YOUR_API_KEY
```

## Request Body

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `chatId` | string | Yes | The chat containing the message to react to. |
| `timestamp` | integer | Yes | Timestamp of the message to react to (Unix microseconds). |
| `threadTimestamp` | integer | No | Timestamp of the parent thread message (Unix microseconds), if reacting to a thread reply. |
| `name` | string | Yes | Name of the reaction to add (e.g. "thumbs_up", "heart", "100"). |

## Responses

### 200 - Reaction successfully added

### 400 - Bad request. Common causes:
- Message not found
- Invalid reaction name


### 401 - Presented invalid authentication credentials.

### 403 - Not a member of this chat (`not_in_chat`). Organization and personal
tokens both require membership to add a reaction.


### 405 - An unsupported method was requested.

### 500 - An internal error occurred.

---

*Machine-readable API documentation.*
*Full documentation: https://developer.ro.am/docs/api/reaction-add*
